### Constructor

# Gtk.BoxLayout.new

#### Declaration [src]

    GtkLayoutManager*
    gtk_box_layout_new (
      GtkOrientation orientation
    )

#### Description [src]

Creates a new `GtkBoxLayout`.

#### Parameters

`orientation` | `GtkOrientation`
| the orientation for the new layout

#### Return value

Returns: `GtkLayoutManager`
a new box layout
Ownership of the data is transferred to the caller